std::atomic< _Tp >(3)

NAME
std::atomic< _Tp > -

SYNOPSIS

  Public Member Functions
atomic (const atomic &)=delete
constexpr atomic (_Tp __i) noexcept
bool compare_exchange_strong (_Tp &__e, _Tp __i, memory_order __s, memory_order __f) noexcept
bool compare_exchange_strong (_Tp &__e, _Tp __i, memory_order __s, memory_order __f) volatilenoexcept
bool compare_exchange_strong (_Tp &__e, _Tp __i, memory_order __m=memory_order_seq_cst) noexcept
bool compare_exchange_strong (_Tp &__e, _Tp __i, memory_order __m=memory_order_seq_cst) volatilenoexcept
bool compare_exchange_weak (_Tp &__e, _Tp __i, memory_order __s, memory_order __f) noexcept
bool compare_exchange_weak (_Tp &__e, _Tp __i, memory_order __s, memory_order __f) volatilenoexcept
bool compare_exchange_weak (_Tp &__e, _Tp __i, memory_order __m=memory_order_seq_cst) noexcept
bool compare_exchange_weak (_Tp &__e, _Tp __i, memory_order __m=memory_order_seq_cst) volatilenoexcept
_Tp exchange (_Tp __i, memory_order _m=memory_order_seq_cst) noexcept
_Tp exchange (_Tp __i, memory_order _m=memory_order_seq_cst) volatilenoexcept
bool is_lock_free () const noexcept
bool is_lock_free () const volatilenoexcept
_Tp load (memory_order _m=memory_order_seq_cst) const noexcept
_Tp load (memory_order _m=memory_order_seq_cst) const volatilenoexcept
operator _Tp () const noexcept
operator _Tp () const volatilenoexcept
atomic & operator= (const atomic &)=delete
atomic & operator= (const atomic &) volatile=delete
_Tp operator= (_Tp __i) noexcept
_Tp operator= (_Tp __i) volatilenoexcept
void store (_Tp __i, memory_order _m=memory_order_seq_cst) noexcept
void store (_Tp __i, memory_order _m=memory_order_seq_cst) volatilenoexcept

Detailed Description

  template<typename _Tp>struct std::atomic< _Tp >
Generic atomic type, primary class template.

Template Parameters:
    _Tp Type to be made atomic, must be trivally copyable.

Definition at line 161 of file atomic.

Author

Generated automatically by Doxygen for libstdc++ from the source code.